> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unblockedbrands.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search and filter wallet pass notifications

> Search and retrieve wallet pass notifications with optional filtering and pagination.

**Features:**
- Search notifications by name using keyword query (case-insensitive)
- Filter by notification status (Draft, Scheduled, Processing, Published, Failed)
- Filter by specific wallet pass serial numbers
- Pagination support with cursor-based navigation
- Option to include pass template data in response
- Option to include link click statistics

**Pagination:**
- Use `cursor` parameter for next page navigation
- `limit` controls page size (default: 20, max: 20)
- Response includes `items` array, `cursor`, and `hasMore` fields

**Status Values:**
- `Draft`: Notification created but not yet ready for delivery
- `Scheduled`: Notification scheduled for future delivery (processed every 15 minutes)
- `Processing`: Notification currently being sent or sent immediately upon creation
- `Published`: Notification successfully delivered to all recipients
- `Failed`: Notification delivery failed due to errors




## OpenAPI

````yaml api-reference/openapi.json get /wallet-pass/notifications
openapi: 3.1.0
info:
  title: Unblocked Wallet Passes API
  description: Unblocked Wallet Passes API
  version: 1.0.0
servers:
  - url: https://api.ubpass.co/v1
    description: Generated server url
security:
  - AccessToken: []
  - APIKey: []
tags:
  - name: Pique
    description: Get Pique Campaigns and their video performance data
  - name: Passport - Passes
    description: >-
      Create, update, retrieve, and delete wallet passes for Apple and Google
      platforms
  - name: Passport - Push Notifications
    description: Create, update, get, and delete wallet pass notifications
  - name: Passport - Locations
    description: Create, update, get, and delete wallet pass locations
  - name: Upload APIs
    description: Upload and manage pass assets and images
paths:
  /wallet-pass/notifications:
    get:
      tags:
        - Passport - Push Notifications
      summary: Search and filter wallet pass notifications
      description: >
        Search and retrieve wallet pass notifications with optional filtering
        and pagination.


        **Features:**

        - Search notifications by name using keyword query (case-insensitive)

        - Filter by notification status (Draft, Scheduled, Processing,
        Published, Failed)

        - Filter by specific wallet pass serial numbers

        - Pagination support with cursor-based navigation

        - Option to include pass template data in response

        - Option to include link click statistics


        **Pagination:**

        - Use `cursor` parameter for next page navigation

        - `limit` controls page size (default: 20, max: 20)

        - Response includes `items` array, `cursor`, and `hasMore` fields


        **Status Values:**

        - `Draft`: Notification created but not yet ready for delivery

        - `Scheduled`: Notification scheduled for future delivery (processed
        every 15 minutes)

        - `Processing`: Notification currently being sent or sent immediately
        upon creation

        - `Published`: Notification successfully delivered to all recipients

        - `Failed`: Notification delivery failed due to errors
      operationId: getNotificationList
      parameters:
        - name: x-workspace-id
          in: header
          description: >-
            Workspace ID to perform the operation in. If not provided, system
            will use the first one assigned to the user
          required: false
          schema:
            type: string
            pattern: ^[a-zA-Z0-9-_]+$
          example: 1f089d29-6f9c-66c2-af59-99631cec7ab5
        - name: query
          in: query
          description: Search keyword to filter notifications by name (case-insensitive)
          required: false
          schema:
            type: string
            maxLength: 255
          example: VIP Member Update
        - name: cursor
          in: query
          description: >-
            Pagination cursor for fetching the next set of results. Use the
            'cursor' value from the previous response.
          required: false
          schema:
            type: string
          example: 1f089d37-5ebe-6778-af59-99631cec7ab5
        - name: limit
          in: query
          description: Number of notifications to return per page (1-20, max 20)
          required: false
          schema:
            type: integer
            maximum: 20
            minimum: 1
          example: 20
        - name: passSerialNumber
          in: query
          description: Filter by specific wallet pass serial numbers
          required: false
          schema:
            type: array
            items:
              type: string
              pattern: ^[a-zA-Z0-9-_]+$
          example: 1f09804f-d6c7-66ec-8db2-27a5651e1de2
        - name: status
          in: query
          description: Filter notifications by status. Multiple values allowed.
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - Draft
                - Scheduled
                - Processing
                - Published
                - Failed
          example: Published,Scheduled
        - name: ids
          in: query
          description: Filter by notification ID list
          required: false
          schema:
            type: array
            items:
              type: string
          example: >-
            1f089d37-5ebe-6778-af59-99631cec7ab5,1f089d37-5ebc-6778-af59-99631cec7ab5
      responses:
        '200':
          description: Successfully retrieved wallet pass notifications
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BXPagedList'
              examples:
                Success Response:
                  summary: Paginated list of wallet pass notifications
                  description: Success Response
                  value:
                    items:
                      - id: 1f089d37-5ebe-6778-af59-99631cec7ab5
                        createdTime: '2025-09-04T21:09:36.027Z'
                        updatedTime: '2025-09-04T21:11:01.734Z'
                        createdBy: 1ef58ae6-40ac-6fd2-96af-45801844c4e2
                        updatedBy: 1ef58ae6-40ac-6fd2-96af-45801844c4e2
                        workspaceId: 1f089d29-6f9c-66c2-af59-99631cec7ab5
                        accountId: 1f089d29-6fa8-6a13-af59-99631cec7ab5
                        passSerialNumber: 1f09804f-d6c7-66ec-8db2-27a5651e1de2
                        notificationName: VIP Member Update
                        notificationMessage: >-
                          Your VIP membership benefits have been updated! Check
                          out the new exclusive offers.
                        status: Published
                        scheduledTime: '2025-09-04T10:00:00.000Z'
                        sentTime: '2025-09-04T10:00:15.123Z'
                      - id: 1f089d37-8a1b-4c2d-9e3f-123456789abc
                        createdTime: '2025-09-04T20:30:15.456Z'
                        updatedTime: '2025-09-04T20:30:15.456Z'
                        createdBy: 1ef58ae6-40ac-6fd2-96af-45801844c4e2
                        updatedBy: 1ef58ae6-40ac-6fd2-96af-45801844c4e2
                        workspaceId: 1f089d29-6f9c-66c2-af59-99631cec7ab5
                        accountId: 1f089d29-6fa8-6a13-af59-99631cec7ab5
                        passSerialNumber: 1f09804f-d6c7-66ec-8db2-27a5651e1de2
                        notificationName: Special Offer Alert
                        notificationMessage: >-
                          Limited time offer! Get 20% off your next purchase
                          with your VIP membership.
                        status: Scheduled
                        scheduledTime: '2025-09-05T14:00:00.000Z'
                        sentTime: null
                    cursor: 1f089d37-8a1b-4c2d-9e3f-123456789abc
                    hasMore: true
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnblockedApiError'
              examples:
                Bad Request Error:
                  summary: Invalid parameter validation error
                  description: Bad Request Error
                  value:
                    txId: 1f098faa-8f33-6425-b4ff-533200846d35
                    timestamp: 24-09-2025 03:57:59
                    errorCode: INVALID_INPUT
                    context:
                      limit: must be between 1 and 20
        '401':
          description: Unauthorized - Invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnblockedApiError'
              examples:
                Unauthorized Error:
                  summary: Authentication failed
                  description: Unauthorized Error
                  value:
                    txId: Root=1-68d3693c-26a3db2278c7668f5e086711
                    timestamp: 24-09-2025 03:45:00
                    errorCode: UNAUTHORIZED
                    errorMessage: UNAUTHORIZED.
components:
  schemas:
    BXPagedList:
      type: object
      properties:
        items:
          type: array
          items: {}
        cursor:
          type: string
        hasMore:
          type: boolean
    UnblockedApiError:
      type: object
      properties:
        txId:
          type: string
        timestamp:
          type: string
          format: date-time
        errorCode:
          type: string
        errorMessage:
          type: string
        context:
          type: object
          additionalProperties: {}
  securitySchemes:
    AccessToken:
      type: http
      description: Bearer token authentication
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      description: API Key authentication
      name: api-key
      in: header

````